Login
Newsletter
Werbung

Sicherheit: Lesen beliebiger Dateien in lxr
Aktuelle Meldungen Distributionen
Name: Lesen beliebiger Dateien in lxr
ID: DSA-264-1
Distribution: Debian
Plattformen: Debian woody
Datum: Do, 20. März 2003, 12:00
Referenzen: Keine Angabe
Applikationen: LXR

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

--------------------------------------------------------------------------
Debian Security Advisory DSA 264-1 security@debian.org
http://www.debian.org/security/ Martin Schulze
March 19th, 2003 http://www.debian.org/security/faq
--------------------------------------------------------------------------

Package : lxr
Vulnerability : missing filename sanitizing
Problem-Type : remote
Debian-specific: no

Upstream developers of lxr, a general hypertext cross-referencing
tool, have been alerted of a vulnerability that allows a remote
attacker to read arbitrary files on the host system as user www-data.
This could disclose local files that were not meant to be shared with
the public.

For the stable distribution (woody) this problem has been
fixed in version 0.3-3.

The old stable distribution (potato) is not affected since it does not
contain an lxr package.

For the unstable distribution (sid) this problem has been
fixed in version 0.3-4.

We recommend that you upgrade your lxr package.


Upgrade Instructions
--------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
--------------------------------

Source archives:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3.dsc
Size/MD5 checksum: 529 2247880271390dcc2e8b5840e35b8740
http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3.diff.gz
Size/MD5 checksum: 4741 c4ac9ea82443f00fc6d893eac95d0eb6
http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3.orig.tar.gz
Size/MD5 checksum: 29354 57417ee8fdafef8e04141690c7a8b6aa

Alpha architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_alpha.deb
Size/MD5 checksum: 25916 7afae8f316b5d49460ec228ce65505e3

ARM architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_arm.deb
Size/MD5 checksum: 25930 3f0c071bd857b60094bab17710740feb

Intel IA-32 architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_i386.deb
Size/MD5 checksum: 25922 b0e19c5aaf6930b9e88d1a2dd0e4828e

Intel IA-64 architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_ia64.deb
Size/MD5 checksum: 25916 30f33037dbf3b0c7a2f38e4792253ff9

HP Precision architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_hppa.deb
Size/MD5 checksum: 25924 a3afbdeca4e74064c2ad93f8d89f02cb

Motorola 680x0 architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_m68k.deb
Size/MD5 checksum: 25954 57d078cff179225eb026275f21e7ffff

Big endian MIPS architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_mips.deb
Size/MD5 checksum: 25920 3051ef49ccd9cceeb6bc2c4ade214227

Little endian MIPS architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_mipsel.deb
Size/MD5 checksum: 25944 64c72605a28df3c8f8e0b7728509c3fe

PowerPC architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_powerpc.deb
Size/MD5 checksum: 25918 f282e391627defac8898b78da1eb5f1a

IBM S/390 architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_s390.deb
Size/MD5 checksum: 25912 3911d941d4036b6eab20b06ceb572e59

Sun Sparc architecture:

http://security.debian.org/pool/updates/main/l/lxr/lxr_0.3-3_sparc.deb
Size/MD5 checksum: 25922 2c54bb734a88ae4f52eee6a2331359ec



These files will probably be moved into the stable distribution on
its next revision.

--------------------------------------------------------------------------------
-
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-securitydists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+eHpnW5ql+IAeqTIRApDVAJ9fdXc7pepGVTnlq8ntx/br2LZJrwCgs1Sa
bj/pRFJHjQL1HOxmxu37TNo=
=e1pW
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-security-announce-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
Pro-Linux
Pro-Linux @Twitter
Neue Nachrichten
Werbung